Apache JMeter

## org.apache.jmeter.reporters
Class MailerResultCollector

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.reporters.AbstractListenerElement
              org.apache.jmeter.reporters.ResultCollector
                  org.apache.jmeter.reporters.MailerResultCollector

All Implemented Interfaces:
  Serializable, Cloneable, NoThreadClone, Clearable, Remoteable, SampleListener, TestElement, TestListener

    public class MailerResultCollector

extends ResultCollector
implements Serializable

See Also:
  Serialized Form

Field Summary
`static String` `MAILER_MODEL`

Fields inherited from class org.apache.jmeter.reporters.ResultCollector
`FILENAME`

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`MailerResultCollector()`

Method Summary
`void` `clear()` Clear the TestElement of all data.
`MailerModel` `getMailerModel()`
`void` `sampleOccurred(SampleEvent e)` When a test result is received, display it and save it.

Methods inherited from class org.apache.jmeter.reporters.ResultCollector
`clearData, clone, getFilename, getSaveConfig, isErrorLogging, isSampleWanted, isSampleWanted, isSuccessOnlyLogging, loadExistingFile, recordStats, sampleStarted, sampleStopped, sendToVisualizer, setErrorLogging, setFilename, setSaveConfig, setSuccessOnlyLogging, testEnded, testEnded, testIterationStart, testStarted, testStarted`

Methods inherited from class org.apache.jmeter.reporters.AbstractListenerElement
`getVisualizer, setListener`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

`addProperty, addTestElement, canRemove, clearTemporary, clearTestElementChildren, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAILER_MODEL

    public static final String MAILER_MODEL

See Also:
  Constant Field Values

Constructor Detail

### MailerResultCollector

    public MailerResultCollector()

Method Detail

### clear

    public void clear()

  Clear the TestElement of all data.

  Specified by:
    `clear` in interface `TestElement`
  Overrides:
    `clear` in class `AbstractTestElement`

### sampleOccurred

    public void sampleOccurred(SampleEvent e)

  When a test result is received, display it and save it.

  Specified by:
    `sampleOccurred` in interface `SampleListener`
  Overrides:
    `sampleOccurred` in class `ResultCollector`
  Parameters:
    `e` - the sample event that was received

### getMailerModel

    public MailerModel getMailerModel()

Apache JMeter

Copyright © 1998-2011 Apache Software Foundation. All Rights Reserved.